# Create a new account number

**POST** `/bank-accounts/{bank_account_id}/account-numbers`

Creates a new account number that points to the associated bank account.

### Path Parameters

- `bank_account_id` `string` _(required)_ — Unique identifier for the bank account.

### Body Parameters

- `check_issuing_manual_settlement_required` `boolean` — Whether manual settlement is required for check issuing. Only available when check issuing NSF grace period is enabled on the platform.
- `check_issuing_positive_pay_required` `boolean` — Whether check issuing positive pay is required for this account number
- `check_issuing_prefund_required` `boolean` — Whether prefund is required for check issuing. Omit to inherit the platform default.
- `description` `string` — A description for this account number

**Request**

```shell
curl 'https://api.column.com/bank-accounts/<bank_account_id>/account-numbers' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d description="Travel Checking Account Number"
```

**Response 200**

```json
{
  "account_number": "256783259046169",
  "bank_account_id": "bacc_25nVQr05nZybpyEzw8j0wV6VRUh",
  "bic": "CLNOUS66",
  "created_at": "2022-03-01T20:09:42.949787176Z",
  "description": "Travel Checking Account Number",
  "id": "acno_25nacNsLD8qLI1Vc6x67sxFU27c",
  "routing_number": "121145307",
  "check_issuing_positive_pay_required": true
}
```
